Loading...
Searching...
No Matches
swap: Swap vectors
Batched LA » MAGMA BLAS and Auxiliary » Level 1: vectors operations, O(n) work

\(x <=> y\) More...

## Functions

magma_int_t | magma_cswap_batched (magma_int_t n, magmaFloatComplex **dA_array, magma_int_t ai, magma_int_t aj, magma_int_t incx, magma_int_t step, magma_int_t **ipiv_array, magma_int_t batchCount, magma_queue_t queue)
| cswap two row in x.
magma_int_t | magma_dswap_batched (magma_int_t n, double **dA_array, magma_int_t ai, magma_int_t aj, magma_int_t incx, magma_int_t step, magma_int_t **ipiv_array, magma_int_t batchCount, magma_queue_t queue)
| dswap two row in x.
magma_int_t | magma_sswap_batched (magma_int_t n, float **dA_array, magma_int_t ai, magma_int_t aj, magma_int_t incx, magma_int_t step, magma_int_t **ipiv_array, magma_int_t batchCount, magma_queue_t queue)
| sswap two row in x.
magma_int_t | magma_zswap_batched (magma_int_t n, magmaDoubleComplex **dA_array, magma_int_t ai, magma_int_t aj, magma_int_t incx, magma_int_t step, magma_int_t **ipiv_array, magma_int_t batchCount, magma_queue_t queue)
| zswap two row in x.

## Detailed Description

\(x <=> y\)

## Function Documentation

## magma_cswap_batched()

magma_int_t magma_cswap_batched | ( | magma_int_t | n,
|  | magmaFloatComplex ** | dA_array,
|  | magma_int_t | ai,
|  | magma_int_t | aj,
|  | magma_int_t | incx,
|  | magma_int_t | step,
|  | magma_int_t ** | ipiv_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

cswap two row in x.

index (ipiv[step]-1)-th and index step -th

This is an internal routine that might have many assumption.

Parameters

  [in] | n | INTEGER On entry, n specifies the size of vector x. n >= 0.
  [in] | dA_array | Array of pointers, dimension (batchCount). Each is a COMPLEX array of dimension
  [in] | ai | INTEGER Row offset, internal use.
  [in] | aj | INTEGER Column offset, internal use.
  [in] | incx | Specifies the increment for the elements of X. INCX must not be zero.
  [in] | step | INTEGER The starting address of matrix C in A. LDDA >= max(1,M).
  [out] | ipiv_array | Array of pointers, dimension (batchCount), for corresponding matrices. Each is an INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).
  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dswap_batched()

magma_int_t magma_dswap_batched | ( | magma_int_t | n,
|  | double ** | dA_array,
|  | magma_int_t | ai,
|  | magma_int_t | aj,
|  | magma_int_t | incx,
|  | magma_int_t | step,
|  | magma_int_t ** | ipiv_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

dswap two row in x.

index (ipiv[step]-1)-th and index step -th

This is an internal routine that might have many assumption.

Parameters

  [in] | n | INTEGER On entry, n specifies the size of vector x. n >= 0.
  [in] | dA_array | Array of pointers, dimension (batchCount). Each is a DOUBLE PRECISION array of dimension
  [in] | ai | INTEGER Row offset, internal use.
  [in] | aj | INTEGER Column offset, internal use.
  [in] | incx | Specifies the increment for the elements of X. INCX must not be zero.
  [in] | step | INTEGER The starting address of matrix C in A. LDDA >= max(1,M).
  [out] | ipiv_array | Array of pointers, dimension (batchCount), for corresponding matrices. Each is an INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).
  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sswap_batched()

magma_int_t magma_sswap_batched | ( | magma_int_t | n,
|  | float ** | dA_array,
|  | magma_int_t | ai,
|  | magma_int_t | aj,
|  | magma_int_t | incx,
|  | magma_int_t | step,
|  | magma_int_t ** | ipiv_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

sswap two row in x.

index (ipiv[step]-1)-th and index step -th

This is an internal routine that might have many assumption.

Parameters

  [in] | n | INTEGER On entry, n specifies the size of vector x. n >= 0.
  [in] | dA_array | Array of pointers, dimension (batchCount). Each is a REAL array of dimension
  [in] | ai | INTEGER Row offset, internal use.
  [in] | aj | INTEGER Column offset, internal use.
  [in] | incx | Specifies the increment for the elements of X. INCX must not be zero.
  [in] | step | INTEGER The starting address of matrix C in A. LDDA >= max(1,M).
  [out] | ipiv_array | Array of pointers, dimension (batchCount), for corresponding matrices. Each is an INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).
  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zswap_batched()

magma_int_t magma_zswap_batched | ( | magma_int_t | n,
|  | magmaDoubleComplex ** | dA_array,
|  | magma_int_t | ai,
|  | magma_int_t | aj,
|  | magma_int_t | incx,
|  | magma_int_t | step,
|  | magma_int_t ** | ipiv_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

zswap two row in x.

index (ipiv[step]-1)-th and index step -th

This is an internal routine that might have many assumption.

Parameters

  [in] | n | INTEGER On entry, n specifies the size of vector x. n >= 0.
  [in] | dA_array | Array of pointers, dimension (batchCount). Each is a COMPLEX_16 array of dimension
  [in] | ai | INTEGER Row offset, internal use.
  [in] | aj | INTEGER Column offset, internal use.
  [in] | incx | Specifies the increment for the elements of X. INCX must not be zero.
  [in] | step | INTEGER The starting address of matrix C in A. LDDA >= max(1,M).
  [out] | ipiv_array | Array of pointers, dimension (batchCount), for corresponding matrices. Each is an INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).
  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.